| Home | Libraries | People | FAQ | More

###### params_ref::erase (1 of 3 overloads)

Erase elements.

###### Synopsis

    iterator
    erase(
        iterator pos);

###### Description

This function removes an element from the container.

All iterators that are equal to `pos` or come after are invalidated.

###### Example

    url u( "?first=John&last=Doe" );

    params_ref::iterator it = u.params().erase( u.params().begin() );

    assert( u.encoded_query() == "last=Doe" );

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Throws nothing.

###### Return Value

An iterator to one past the removed element.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator to the element.